function [histogram,pocet] = hist1D(vstup, nbins)

% Funkce pro výpočet jednorozměrného histogramu z LBP
% Vstupy do funkce:
% vstup - matice hodnot získaná z LBP distribuce
% nbins -  počet hladin histogramu


[a b] = size(vstup);
hist = zeros(1,nbins);
pocet = 0;

for i=1:a
    for j=1:b
        x = vstup(i,j);        
        hist(x+1) = hist(x+1) + 1;
        pocet=pocet+1;
    end
end

histogram = hist; 